=== debian/changelog ===
ros-rolling-rmw-cyclonedds-cpp (1.1.2-1focal) focal; urgency=high

  * Fix cpplint errors (#363 <https://github.com/ros2/rmw_cyclonedds/issues/363>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 14 Jan 2022 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.1.1-1focal) focal; urgency=high

  * Updates for uncrustify 0.72 (#358 <https://github.com/ros2/rmw_cyclonedds/issues/358>)
  * Export only rmw::rmw to downstream targets (#360 <https://github.com/ros2/rmw_cyclonedds/issues/360>)
  * Export modern CMake targets (#357 <https://github.com/ros2/rmw_cyclonedds/issues/357>)
  * Free with the same allocator in rmw_destroy_node (#355 <https://github.com/ros2/rmw_cyclonedds/issues/355>)
  * Contributors: Chris Lalancette, Jacob Perron, Shane Loretz

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 17 Dec 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.1.0-1focal) focal; urgency=high

  * Add client/service QoS getters. (#343 <https://github.com/ros2/rmw_cyclonedds/issues/343>)
  * Updated version number and quality level. (#349 <https://github.com/ros2/rmw_cyclonedds/issues/349>)
  * Update package maintainers. (#351 <https://github.com/ros2/rmw_cyclonedds/issues/351>)
  * Contributors: Joe Speed, Michel Hidalgo, mauropasse

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 19 Nov 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.0.0-1focal) focal; urgency=high

  * Fix undesired memory initialization in zero-copy data path. (#348 <https://github.com/ros2/rmw_cyclonedds/issues/348>)
  * Fix QoS depth settings for clients/service being ignored. (#340 <https://github.com/ros2/rmw_cyclonedds/issues/340>)
  * Link to Cyclone DDS in Quality Declaration. (#342 <https://github.com/ros2/rmw_cyclonedds/issues/342>)
  * Contributors: Chen Lihui, Erik Boasson, Joe Speed, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 25 Oct 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.24.0-1focal) focal; urgency=high

  * Update rmw_context_impl_t definition (#337 <https://github.com/ros2/rmw_cyclonedds/issues/337>)
  * Add quality declaration for rmw_cyclonedds_cpp (#335 <https://github.com/ros2/rmw_cyclonedds/issues/335>)
  * Fix use of deprecated is_loan_available (#336 <https://github.com/ros2/rmw_cyclonedds/issues/336>)
  * Add -latomic for RISC-V (#332 <https://github.com/ros2/rmw_cyclonedds/issues/332>)
  * Add pub/sub init, publish and take instrumentation using tracetools (#329 <https://github.com/ros2/rmw_cyclonedds/issues/329>)
  * Pass the CRL down to CycloneDDS if it exists (#325 <https://github.com/ros2/rmw_cyclonedds/issues/325>)
  * Use the new rmw_dds_common::get_security_files API (#323 <https://github.com/ros2/rmw_cyclonedds/issues/323>)
  * Contributors: Chris Lalancette, Christophe Bedard, Michel Hidalgo, eboasson, guillaume-pais-siemens

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 15 Sep 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.23.1-1focal) focal; urgency=high

  * Add rmw_publisher_wait_for_all_acked support. (#294 <https://github.com/ros2/rmw_cyclonedds/issues/294>)
  * Contributors: Barry Xu

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 16 Jun 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.23.0-1focal) focal; urgency=high

  * Fix zero copy issues. (#309 <https://github.com/ros2/rmw_cyclonedds/issues/309>)
  * Handle allocation errors during message deserialization. (#313 <https://github.com/ros2/rmw_cyclonedds/issues/313>)
  * Update includes after rcutils/get_env.h deprecation. (#312 <https://github.com/ros2/rmw_cyclonedds/issues/312>)
  * Contributors: Christophe Bedard, Michel Hidalgo, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 07 Jun 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.2-1focal) focal; urgency=high

  * Fix the history depth for KEEP_ALL. (#305 <https://github.com/ros2/rmw_cyclonedds/issues/305>)
  * Contributors: Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 26 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.1-1focal) focal; urgency=high

  * Use the macros from Cyclone DDS to work with sample payload when using SHM (#300 <https://github.com/ros2/rmw_cyclonedds/issues/300>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.22.0-1focal) focal; urgency=high

  * Add loaned sample zero-copy API support (#297 <https://github.com/ros2/rmw_cyclonedds/issues/297>)
  * Contributors: Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 07 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.21.0-1focal) focal; urgency=high

  * Indicate missing support for unique network flows (#282 <https://github.com/ros2/rmw_cyclonedds/issues/282>)
  * Contributors: Ananya Muddukrishna

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 06 Apr 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.20.0-1focal) focal; urgency=high

  * Take and return new RMW_DURATION_INFINITE correctly (#288 <https://github.com/ros2/rmw_cyclonedds/issues/288>)
  * Contributors: Emerson Knapp

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 18 Mar 2021 07:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.19.0-1focal) focal; urgency=high

  * Add RMW function to check QoS compatibility (#286 <https://github.com/ros2/rmw_cyclonedds/issues/286>)
  * Contributors: Jacob Perron

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 01 Mar 2021 08:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (0.18.4-1focal) focal; urgency=high

  * Fix use-after-free in error handling bug
  * Drop compatibility with ancient cyclone versions
  * Update to use Cyclone's renamed ddsi_sertype
  * Use init-on-first-use for global state (#275 <https://github.com/ros2/rmw_cyclonedds/issues/275>)
  * Make sure to reset the error when a typesupport can't be found.

