## ros-rolling-rmw-cyclonedds-cpp 1.9.0

=== debian/changelog ===
ros-rolling-rmw-cyclonedds-cpp (1.9.0-1jammy) jammy; urgency=high

  * Clear out errors once we have handled them. (#464 <https://github.com/ros2/rmw_cyclonedds/issues/464>)
  * Instrument loaned message publication code path
  * Contributors: Chris Lalancette, Christophe Bedard

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 21 Aug 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.8.0-1jammy) jammy; urgency=high

  * Use TRACETOOLS_ prefix for tracepoint-related macros (#450 <https://github.com/ros2/rmw_cyclonedds/issues/450>)
  * Contributors: Christophe Bedard

 -- Erik Boasson <erik.boasson@adlinktech.com>  Mon, 12 Jun 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.7.0-1jammy) jammy; urgency=high



 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 27 Apr 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.6.0-1jammy) jammy; urgency=high

  * Dynamic Subscription (BONUS: Allocators): rmw_cyclonedds (#451 <https://github.com/ros2/rmw_cyclonedds/issues/451>)
  * Add stubs for new rmw interfaces (#447 <https://github.com/ros2/rmw_cyclonedds/issues/447>)
  * [rmw_cyclonedds] Improve handling of dynamic discovery (#429 <https://github.com/ros2/rmw_cyclonedds/issues/429>)
  * Call get_type_hash_func (#448 <https://github.com/ros2/rmw_cyclonedds/issues/448>)
  * Type hash distribution in discovery (rep2011) (#437 <https://github.com/ros2/rmw_cyclonedds/issues/437>)
  * Disable inconsistent topic events. (#444 <https://github.com/ros2/rmw_cyclonedds/issues/444>)
  * Implement matched event (#435 <https://github.com/ros2/rmw_cyclonedds/issues/435>)
  * Implement inconsistent topic. (#431 <https://github.com/ros2/rmw_cyclonedds/issues/431>)
  * Contributors: Barry Xu, Chris Lalancette, Emerson Knapp, Geoffrey Biggs, methylDragon

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 12 Apr 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.5.1-1jammy) jammy; urgency=high

  * Make sure to add semicolons to the CHECK_TYPE_IDENTIFIER_MATCH. (#432 <https://github.com/ros2/rmw_cyclonedds/issues/432>)
  * [rolling] Update maintainers - 2022-11-07 (#428 <https://github.com/ros2/rmw_cyclonedds/issues/428>)
  * Contributors: Audrow Nash, Chris Lalancette

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 14 Feb 2023 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.5.0-1jammy) jammy; urgency=high

  * Export CycloneDDS dependency (#424 <https://github.com/ros2/rmw_cyclonedds/issues/424>)
  * add NULL check before accessing object. (#423 <https://github.com/ros2/rmw_cyclonedds/issues/423>)
  * Add rmw_get_gid_for_client impl (#402 <https://github.com/ros2/rmw_cyclonedds/issues/402>)
  * Makes topic_name a const ref
  * Adds topic name to error msg when create_topic fails
  * Contributors: Brian, Shane Loretz, Tomoya Fujita, Tully Foote, Voldivh

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 02 Nov 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.4.1-1jammy) jammy; urgency=high

  * Improve error message when create_topic fails (#405 <https://github.com/ros2/rmw_cyclonedds/issues/405>)
  * Change wrong use of %d to print uint32_t to PRIu32 (#253 <https://github.com/ros2/rmw_cyclonedds/issues/253>)
  * Add cstring include. (#393 <https://github.com/ros2/rmw_cyclonedds/issues/393>)
  * Contributors: Chris Lalancette, Shane Loretz, eboasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 13 Sep 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.4.0-1jammy) jammy; urgency=high

  * Handle 'best_available' QoS policies (#389 <https://github.com/ros2/rmw_cyclonedds/issues/389>)
  * Contributors: Jose Luis Rivero

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 03 May 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.3-1jammy) jammy; urgency=high

  * Fix get_topic_name and handling long service names
  * Contributors: Erik Boasson

 -- Erik Boasson <erik.boasson@adlinktech.com>  Wed, 06 Apr 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.2-1jammy) jammy; urgency=high

  * Add serialization for SDK_DATA
  * Additional checks for loan API
  * Contributors: Dietrich Krönke

 -- Erik Boasson <erik.boasson@adlinktech.com>  Tue, 05 Apr 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.1-1jammy) jammy; urgency=high

  * Depend on just rmw_dds_common::rmw_dds_common_library (#385 <https://github.com/ros2/rmw_cyclonedds/issues/385>)
  * Contributors: Shane Loretz

 -- Erik Boasson <erik.boasson@adlinktech.com>  Thu, 31 Mar 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.3.0-1jammy) jammy; urgency=high

  * Fix error message in rmw_init_options_copy(). (#380 <https://github.com/ros2/rmw_cyclonedds/issues/380>)
  * Add content filter topic feature empty stub. (#289 <https://github.com/ros2/rmw_cyclonedds/issues/289>)
  * Update to work with Cyclone 0.9.0 and Iceoryx 2.0 (#379 <https://github.com/ros2/rmw_cyclonedds/issues/379>)
  * Fill message info sequence numbers as unsupported, add rmw_feature_supported() implementation. (#381 <https://github.com/ros2/rmw_cyclonedds/issues/381>)
  * Contributors: Chen Lihui, Haowei Wen, Ivan Santiago Paunovic, Sumanth Nirmal

 -- Erik Boasson <erik.boasson@adlinktech.com>  Fri, 25 Mar 2022 00:00:00 -0000

ros-rolling-rmw-cyclonedds-cpp (1.2.0-1jammy) jammy; urgency=high

  * Fix a warning by making a pointer nullptr. (#375 <https://github.com/ros2/rmw_cyclonedds/issues/375>)
  * Bump QDs to QL2 (#371 <https://github.com/ros2/rmw_cyclonedds/issues/371>)
  * Add EventsExecutor (#256 <https://github.com/ros2/rmw_cyclonedds/issues/256>)
  * Call dissociate_reader in rmw_destroy_subscription
  * Wrap creation of new serdata_rmw within a try-catch block
  * Fix memory leak in error scenario on the publish side with SHM
  * Fix memory leaks on the take side with SHM
  * rename _cyclonedds_has_shm to follow the convention
  * Add iceoryx_binding_c as dependency to rmw_cyclonedds_cpp
  * Release iox_chunk to iceoryx in serdata_free if the iox_chunk is still available

